/* ============================================================
   common.css — компонент темы Kremlin Group
   ============================================================ */


@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-Black.woff2) format("woff2");
  font-weight: 900;
  font-style: normal
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-ExtraBold.woff2) format("woff2");
  font-weight: 800;
  font-style: normal
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-SemiBold.woff2) format("woff2");
  font-weight: 600;
  font-style: normal
}

@font-face {
  font-family: Manrope;
  font-display: swap;
  src: url(../fonts/Manrope-Bold.woff2) format("woff2");
  font-weight: 700;
  font-style: normal
}

@font-face {
  font-family: Manrope;
  font-display: swap;
  src: url(../fonts/Manrope-ExtraBold.woff2) format("woff2");
  font-weight: 800;
  font-style: normal
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-Regular.woff2) format("woff2");
  font-weight: 400;
  font-style: normal
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-Medium.woff2) format("woff2");
  font-weight: 500;
  font-style: normal
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-Italic.woff2) format("woff2");
  font-weight: 400;
  font-style: italic
}

@font-face {
  font-family: Inter;
  font-display: swap;
  src: url(../fonts/Inter-Bold.woff2) format("woff2");
  font-weight: 700;
  font-style: normal
}

* {
  padding: 0;
  margin: 0;
  border: 0
}

*,
*::after,
*::before {
  box-sizing: border-box
}

*::after,
*::before {
  display: inline-block
}

body,
html {
  height: 100%;
  min-width: 320px
}

body {
  color: #ffffff;
  line-height: 1;
  font-family: Inter,sans-serif;
  font-size: 1rem;
  -ms-text-size-adjust: 100%;
  -moz-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale
}

button,
input,
textarea {
  font-family: Inter,sans-serif;
  font-size: inherit;
  line-height: inherit;
  color: inherit;
  background-color: rgba(0,0,0,0)
}

input,
textarea {
  width: 100%
}

label {
  display: inline-block
}

button,
option,
select {
  cursor: pointer
}

a {
  display: inline-block;
  color: inherit;
  text-decoration: none
}

ul li {
  list-style: none
}

img {
  vertical-align: top
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: inherit;
  font-size: inherit
}

body {
  background: #fefefe;
  scroll-timeline: --parent-scroll y;
  transition: opacity .3s ease
}

.lock body {
  overflow: hidden;
  touch-action: none;
  -ms-scroll-chaining: none;
  overscroll-behavior: none
}

.loaded body {
  opacity: 1
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden
}

.wrapper>main {
  flex: 1 1 auto
}

.wrapper>* {
  min-width: 0
}

[class*=__container] {
  max-width: 91.875rem;
  margin: 0 auto;
  padding: 0 .9375rem
}

[class*="--gc"] {
  display: grid;
  min-width: 0;
  grid-template-columns: .9375rem 1fr minmax(auto,90rem) 1fr .9375rem
}

[class*="--gc"]>* {
  min-width: 0;
  grid-column: 3/4
}

.button {
  display: inline-flex;
  padding: 0 0
}

.button--fw {
  width: 100%
}

.button--cta {
  background-color: #000;
  font-size: .875rem;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: .0625rem;
  color: #fff;
  border-radius: .3125rem;
  padding: .9375rem 1.5625rem;
  transition: background-color .3s ease-in-out
}

.button--form {
  min-height: 3.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: .875rem;
  text-transform: uppercase;
  line-height: 1.6;
  font-weight: 800;
  color: #fff;
  background-color: #000;
  border-radius: .375rem;
  transition: background-color .3s ease-in-out
}

.button--auth-login {
  font-size: .8125rem;
  font-weight: 700;
  letter-spacing: .03125rem;
  color: #1a1c1c;
	background-color: #fff;
  padding: .625rem 1.125rem;
/*   border: .0625rem solid rgba(26,28,28,.2); */
  border-radius: .3125rem;
  transition: background-color .25s ease,color .25s ease,border-color .25s ease
}

.button--auth-signup {
  font-size: .8125rem;
  font-weight: 700;
  letter-spacing: .03125rem;
  color: #fff;
  background-color: #D4AF37;
  padding: .625rem 1.125rem;
  border-radius: .3125rem;
/*   border: .0625rem solid #0073ab; */
  transition: background-color .25s ease,border-color .25s ease
}

input[type=email],
input[type=tel],
input[type=text],
textarea {
  -webkit-appearance: none;
  appearance: none
}

.input {
  border-radius: 6px;
  width: 100%;
  display: block;
  padding: 15px;
  border: 1px solid #eee;
  caret-color: inherit
}

.popup .input {
  border-color: #1e1e1e
}

.input[placeholder]:not([data-placeholder-nohiden])::-webkit-input-placeholder {
  font-size: .875rem;
  -webkit-transition: opacity .3s;
  transition: opacity .3s
}

.input[placeholder]:not([data-placeholder-nohiden]):-ms-input-placeholder {
  font-size: .875rem;
  -ms-transition: opacity .3s;
  transition: opacity .3s
}

.input[placeholder]:not([data-placeholder-nohiden])::-ms-input-placeholder {
  font-size: .875rem;
  -ms-transition: opacity .3s;
  transition: opacity .3s
}

.input[placeholder]:not([data-placeholder-nohiden])::placeholder {
  font-size: .875rem;
  transition: opacity .3s
}

.input[placeholder]:not([data-placeholder-nohiden]):focus::-webkit-input-placeholder {
  opacity: 0
}

.input[placeholder]:not([data-placeholder-nohiden]):focus:-ms-input-placeholder {
  opacity: 0
}

.input[placeholder]:not([data-placeholder-nohiden]):focus::-ms-input-placeholder {
  opacity: 0
}

.input[placeholder]:not([data-placeholder-nohiden]):focus::placeholder {
  opacity: 0
}

textarea.input {
  resize: none;
  padding: 12px 15px
}

.select {
  min-width: 0;
  position: relative
}

.select_form {
  border-radius: 6px;
  width: 100%;
  border: 1px solid #eee;
  caret-color: inherit
}

.popup .select {
  border-color: #1e1e1e
}

.select__body {
  position: relative
}

.select_form .select__body {
  padding: 15px
}

.select__title {
  display: block;
  color: inherit;
  -webkit-text-fill-color: currentColor;
  text-align: left;
  cursor: pointer;
  width: 100%;
  background: rgba(0,0,0,0);
  border: 0;
  padding: 0;
  font: inherit;
  -webkit-appearance: none;
  appearance: none
}

.select__value {
  display: flex;
  min-width: 0;
  align-items: center;
  -webkit-column-gap: .625rem;
  -moz-column-gap: .625rem;
  column-gap: .625rem
}

.select__value>* {
  flex: 1 1 auto
}

.select__value:after {
  content: "";
  background: url(../img/chevron-down.png) center/contain no-repeat;
  align-self: stretch;
  flex: 0 0 20px;
  height: 1.25rem;
  transition: all .3s ease 0s;
  display: flex;
  justify-content: center;
  align-items: center
}
.contact-form .select__value:after {
	background: url(../img/arrow.svg) center/contain no-repeat;
}

._select-open .select__value:after {
  -webkit-transform: rotate(-180deg);
  transform: rotate(-180deg)
}

.select__value._select-pseudo-label::before {
  content: attr(data-pseudo-label);
  opacity: .5
}

.select__content {
  display: block;
  flex: 1 1 auto;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: inherit;
  -webkit-text-fill-color: currentColor;
  font-size: .75rem;
  line-height: 1.5;
  text-transform: uppercase;
  font-weight: 500
}

.select_form .select__content {
  color: inherit;
  text-transform: none;
  font-size: .875rem
}

.select__text {
  flex: 1 1 auto;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap
}

.select__input {
  width: 100%;
  background-color: rgba(0,0,0,0);
  height: 100%
}

.select__options {
  position: absolute;
  top: calc(100% - .0625rem);
  min-width: 100%;
  left: 0;
  border-top: 0;
  border-top: 0;
  padding: 10px 0 5px 0
}

.select_form .select__options {
  padding: 15px;
  background-color: #fff;
  top: calc(100% + .0625rem);
  box-shadow: 0 .0625rem .125rem rgba(15,23,42,.04),0 .5rem 1.25rem rgba(15,23,42,.06),0 1.5rem 3rem rgba(15,23,42,.08);
  border-radius: 1rem;
  overflow: hidden
}

.select__scroll {
  display: flex;
  flex-direction: column;
  gap: .3125rem
}

.select_form .select__scroll {
  display: flex;
  flex-direction: column;
  gap: .625rem
}

.select__option {
  font-size: .75rem;
  text-transform: uppercase;
  font-weight: 500;
  width: 100%;
  text-align: left;
  cursor: pointer;
  color: #fff;
  text-shadow: 0 .0625rem .125rem rgba(26,28,28,.12)
}

.select__option[hidden] {
  display: none
}

.select_form .select__option {
	color:inherit;
  font-size: .875rem;
  text-transform: none
}

.select__row {
  display: inline-flex;
  align-items: center
}

.select--show-top .select__options {
  top: auto;
  bottom: calc(100% - .0625rem);
  border: 1px solid #d9d9d9;
  border-bottom: 0;
  border-radius: 4px 4px 0 0;
  padding: 5px 0 10px 0
}

._select-tag {
  cursor: pointer
}

body::after {
  content: "";
  background-color: rgba(0,0,0,.5);
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity .8s ease 0s;
  pointer-events: none;
  z-index: 149
}

.popup-show body::after {
  opacity: 1
}

.popup {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  padding: 30px 10px;
  transition: visibility .8s ease 0s;
  visibility: hidden;
  pointer-events: none
}

.popup_show {
  z-index: 150;
  visibility: visible;
  overflow: auto;
  pointer-events: auto
}

.popup_show .popup__content {
  visibility: visible;
  -webkit-transform: scale(1);
  transform: scale(1)
}

.popup__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100%;
  flex: 1 1 auto;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center
}

.popup__content {
  position: relative;
  visibility: hidden;
  -webkit-transform: scale(0);
  transform: scale(0);
  transition: -webkit-transform .3s ease 0s;
  transition: transform .3s ease 0s;
  transition: transform .3s ease 0s,-webkit-transform .3s ease 0s;
  background-color: #eee;
  padding: 40px 20px;
  width: 100%;
  max-width: 900px;
  border-radius: 20px
}

.lock .popup__content {
  visibility: visible
}

.popup__close {
  position: absolute;
  top: 15px;
  right: 10px
}

.cite {
  font-size: .75rem;
  text-transform: capitalize;
  display: inline-flex;
  gap: .3125rem;
  color: #a81111;
  font-weight: 700
}

@-webkit-keyframes heroRiseIn {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0,1.5rem,0);
    transform: translate3d(0,1.5rem,0)
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0)
  }
}

@-webkit-keyframes heroSlideInRight {
  from {
    opacity: 0;
    -webkit-transform: translate3d(3.75rem,0,0);
    transform: translate3d(3.75rem,0,0)
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0)
  }
}

@-webkit-keyframes heroFadeIn {
  from {
    opacity: 0
  }
  to {
    opacity: 1
  }
}

@-webkit-keyframes heroImageReveal {
  0% {
    -webkit-transform: scale(1.2) translate3d(0,1.875rem,0);
    transform: scale(1.2) translate3d(0,1.875rem,0);
    -webkit-filter: blur(.875rem);
    filter: blur(.875rem)
  }
  60% {
    -webkit-filter: blur(.125rem);
    filter: blur(.125rem)
  }
  100% {
    -webkit-transform: scale(1) translate3d(0,0,0);
    transform: scale(1) translate3d(0,0,0);
    -webkit-filter: blur(0);
    filter: blur(0)
  }
}

@-webkit-keyframes iconPulse {
  0%,
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-filter: drop-shadow(0 0 0 rgba(212, 175, 55, 0)) drop-shadow(0 0 0 rgba(26, 28, 28, 0));
    filter: drop-shadow(0 0 0 rgba(212, 175, 55, 0)) drop-shadow(0 0 0 rgba(26, 28, 28, 0))
  }
  50% {
    -webkit-transform: scale(1.18);
    transform: scale(1.18);
    -webkit-filter: drop-shadow(0 0 1rem rgba(212, 175, 55, .65)) drop-shadow(0 .1875rem .625rem rgba(26, 28, 28, .28));
    filter: drop-shadow(0 0 1rem rgba(212, 175, 55, .65)) drop-shadow(0 .1875rem .625rem rgba(26, 28, 28, .28))
  }
}

.location-cars {
  display: flex;
  align-items: center;
  gap: .3125rem;
  color: #fff;
  padding-top: .375rem;
  padding-bottom: .375rem;
  padding-left: .75rem;
  padding-right: .75rem;
  line-height: 1.5;
  border-radius: 62.4375rem;
  overflow: hidden;
  background-color: rgba(255,255,255,.25)
}

.location-cars__icon {
  flex: 0 0 .75rem;
  display: flex;
  flex-direction: column;
  justify-content: center
}

.location-cars__icon img {
  max-width: 100%
}

.location-cars__state {
  font-size: .6875rem;
  text-transform: uppercase;
  font-weight: 800;
  display: flex;
  align-items: center;
  gap: .3125rem;
  letter-spacing: .0625rem
}

.location-cars__state:not(:last-child)::after {
  content: "";
  width: .125rem;
  height: .125rem;
  border-radius: 50%;
  background-color: #fff
}

.location-oils {
  display: flex;
  align-items: center;
  gap: .3125rem;
  color: #fff;
  padding-top: .375rem;
  padding-bottom: .375rem;
  padding-left: .75rem;
  padding-right: .75rem;
  line-height: 1.5;
  border-radius: 62.4375rem;
  overflow: hidden;
  background-color: rgba(255,255,255,.25)
}

.location-oils__icon {
  flex: 0 0 .75rem;
  display: flex;
  flex-direction: column;
  justify-content: center
}

.location-oils__icon img {
  max-width: 100%
}

.location-oils__state {
  font-size: .6875rem;
  text-transform: uppercase;
  font-weight: 800;
  display: flex;
  align-items: center;
  gap: .3125rem;
  letter-spacing: .0625rem
}

.location-oils__state:not(:last-child)::after {
  content: "";
  width: .125rem;
  height: .125rem;
  border-radius: 50%;
  background-color: #fff
}

@-webkit-keyframes atlasRouteDraw {
  0% {
    stroke-dashoffset: 200;
    opacity: 0
  }
  20% {
    opacity: 1
  }
  100% {
    stroke-dashoffset: 0;
    opacity: 1
  }
}

@-webkit-keyframes atlasPinIn {
  from {
    opacity: 0;
    -webkit-transform: translate(-50%,calc(-50% + .375rem)) scale(.6);
    transform: translate(-50%,calc(-50% + .375rem)) scale(.6)
  }
  to {
    opacity: 1;
    -webkit-transform: translate(-50%,-50%) scale(1);
    transform: translate(-50%,-50%) scale(1)
  }
}

@-webkit-keyframes atlasLabelIn {
  from {
    opacity: 0;
    -webkit-transform: translateY(.25rem);
    transform: translateY(.25rem)
  }
  to {
    opacity: 1;
    -webkit-transform: translateY(0);
    transform: translateY(0)
  }
}

@-webkit-keyframes atlasDestPulse {
  0%,
  100% {
    box-shadow: 0 0 0 .375rem rgba(195,151,80,.18),0 0 2.25rem rgba(232,201,132,.6)
  }
  50% {
    box-shadow: 0 0 0 .875rem rgba(195,151,80,.04),0 0 3.75rem rgba(232,201,132,.85)
  }
}

.visually-hidden {
  position: absolute!important;
  width: 1px!important;
  height: 1px!important;
  margin: -1px!important;
  padding: 0!important;
  overflow: hidden!important;
  clip: rect(0,0,0,0)!important;
  white-space: nowrap!important;
  border: 0!important
}

@supports (overflow:clip) {
.wrapper {
    overflow: clip
  }
}

@media (max-width:61.99875em) {
.button--auth-login {
    min-width: 8.125rem;
    justify-content: center
  }
  .button--auth-signup {
    min-width: 8.125rem;
    justify-content: center
  }
  .select_lang .select__body {
    display: flex
  }
  .select_lang .select__options {
    height: 100%;
    padding: .3125rem;
    top: auto;
    left: 4.063rem
  }
  .select_lang .select__scroll {
    flex-direction: row
  }
}

@media (max-width:47.99875em) {
.select__value:after {
    flex: 0 0 25px;
    height: 1.5625rem
  }
  .select__content {
    font-size: 1rem;
    font-weight: 600
  }
  .select__option {
    font-size: 1rem;
    font-weight: 600
  }
}

@media (max-width:29.99875em) {
.button--cta {
    padding: .9375rem 1.25rem
  }
  .location-cars__icon {
    flex-basis: .625rem
  }
  .location-cars__state {
    font-size: .625rem
  }
  .location-oils__icon {
    flex-basis: .625rem
  }
  .location-oils__state {
    font-size: .625rem
  }
}

@media (any-hover:hover) {
.button--cta:hover {
    background-color: #d4af37
  }
  .button--form:hover {
    background-color: #d4af37
  }
  .button--auth-login:hover {
    background-color: #1a1c1c;
    color: #fff;
/*     border-color: #1a1c1c */
  }
  .button--auth-signup:hover {
    background-color: #000;
/*     border-color: #d4af37 */
  }
  .select__option:hover {
    color: #D4AF37;
    text-shadow: 0 0 0 currentColor
  }
}
